#!/bin/bash

exec <input_linux_map_fixed.txt
exec >input_cross_reference_kernel.txt

echo "Drivers, which has probable \"Ready to change\" key are in parantheses"

while read KEY DUMMY ; do
    if test "${KEY:0:1}" != "\"" ; then
	continue
    fi
    KEY=${KEY//\"}
    echo -n "$KEY: "
    grep -w -r -l $KEY ~/PACKAGES/kernel-source-stable-all/BUILD/kernel-default-2.6.22_rc4_git3/linux-2.6.21/drivers | sed "s@.*/drivers/@@" >tmp_match
# even weaker candidates
#    grep -r -l $KEY ~/PACKAGES/kernel-source-stable-all/BUILD/kernel-default-2.6.22_rc4_git3/linux-2.6.21/drivers | sed "s@.*/drivers/@@" >tmp_nearmatch
    grep -r -l $KEY\\W ~/PACKAGES/kernel-source-stable-all/BUILD/kernel-default-2.6.22_rc4_git3/linux-2.6.21/drivers | sed "s@.*/drivers/@@" >tmp_nearmatch
    cat tmp_match | tr '\n' ' '
    echo -n '('
    diff tmp_match tmp_nearmatch | sed -n 's/^> //p' | tr '\n' ' '
    echo ')'
done
rm tmp_match tmp_nearmatch
